[arch-commits] CVS update of extra/gnome/xchat-gnome (4 files)

Jan de Groot jgc at archlinux.org
Sat Jun 30 12:23:41 UTC 2007


    Date: Saturday, June 30, 2007 @ 08:23:41
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/xchat-gnome

   Added: python-plugin.patch (1.1) tcl-plugin.patch (1.1)
Modified: PKGBUILD (1.12 -> 1.13) xchat-gnome.install (1.5 -> 1.6)

upgpkg: xchat-gnome 0.17-2
Fix tcl and python plugin


---------------------+
 PKGBUILD            |   19 +++++++++++++------
 python-plugin.patch |   10 ++++++++++
 tcl-plugin.patch    |   13 +++++++++++++
 xchat-gnome.install |   14 ++------------
 4 files changed, 38 insertions(+), 18 deletions(-)


Index: extra/gnome/xchat-gnome/PKGBUILD
diff -u extra/gnome/xchat-gnome/PKGBUILD:1.12 extra/gnome/xchat-gnome/PKGBUILD:1.13
--- extra/gnome/xchat-gnome/PKGBUILD:1.12	Sun Apr 22 12:45:03 2007
+++ extra/gnome/xchat-gnome/PKGBUILD	Sat Jun 30 08:23:41 2007
@@ -1,21 +1,28 @@
-# $Id: PKGBUILD,v 1.12 2007/04/22 16:45:03 jgc Exp $
+# $Id: PKGBUILD,v 1.13 2007/06/30 12:23:41 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 pkgname=xchat-gnome
 pkgver=0.17
-pkgrel=1
+pkgrel=2
 pkgdesc="GNOME frontend to the popular X-Chat IRC client."
 arch=(i686 x86_64)
 license=('GPL')
 url="http://xchat-gnome.navi.cx/"
-options=('nolibtool')
-depends=('libgnomeui>=2.18.1-2' 'libsexy>=0.1.11' 'scrollkeeper')
+options=('!libtool')
+depends=('libgnomeui>=2.18.1-2' 'libsexy>=0.1.11' 'scrollkeeper' 'gconf>=2.18.0.1-4')
 makedepends=('gettext' 'perlxml' 'python' 'tcl' 'libnotify' 'gnome-doc-utils>=0.10.3')
 install=xchat-gnome.install
-source=(http://releases.navi.cx/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('bcb8e97a63c0fda6fcba0f88309ea645')
+source=(http://releases.navi.cx/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+	python-plugin.patch
+	tcl-plugin.patch)
+md5sums=('bcb8e97a63c0fda6fcba0f88309ea645'
+         '7296b97468fcf7da18b37db735452393'
+         'accd91263965d9202b356a9fa53d733e')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np1 -i ${startdir}/src/python-plugin.patch || return 1
+  patch -Np1 -i ${startdir}/src/tcl-plugin.patch || return 1
+
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
 	      --enable-ipv6 --enable-shm \
Index: extra/gnome/xchat-gnome/python-plugin.patch
diff -u /dev/null extra/gnome/xchat-gnome/python-plugin.patch:1.1
--- /dev/null	Sat Jun 30 08:23:41 2007
+++ extra/gnome/xchat-gnome/python-plugin.patch	Sat Jun 30 08:23:41 2007
@@ -0,0 +1,10 @@
+--- xchat-gnome-0.17.orig/plugins/python/python.c
++++ xchat-gnome-0.17/plugins/python/python.c
+@@ -52,6 +52,7 @@
+  */
+ 
+ #include <glib.h>
++#include <glib/gi18n.h>
+ #include <string.h>
+ #include <unistd.h>
+ #include <stdlib.h>
Index: extra/gnome/xchat-gnome/tcl-plugin.patch
diff -u /dev/null extra/gnome/xchat-gnome/tcl-plugin.patch:1.1
--- /dev/null	Sat Jun 30 08:23:41 2007
+++ extra/gnome/xchat-gnome/tcl-plugin.patch	Sat Jun 30 08:23:41 2007
@@ -0,0 +1,13 @@
+--- xchat-gnome-0.17.old/plugins/tcl/tclplugin.c	2007-03-06 17:47:26.000000000 -0500
++++ xchat-gnome-0.17/plugins/tcl/tclplugin.c	2007-06-24 17:53:04.000000000 -0400
+@@ -2215,8 +2215,8 @@
+ void xchat_plugin_get_info(char **name, char **desc, char **version, void **reserved)
+ {
+    strncpy(PVERSION, &RCSID[19], 5);
+-   *name = _("tclplugin");
+-   *desc = _("Tcl plugin for XChat");
++   *name = "tclplugin";
++   *desc = "Tcl plugin for XChat";
+    *version = PVERSION;
+    if (reserved)
+       *reserved = NULL;
Index: extra/gnome/xchat-gnome/xchat-gnome.install
diff -u extra/gnome/xchat-gnome/xchat-gnome.install:1.5 extra/gnome/xchat-gnome/xchat-gnome.install:1.6
--- extra/gnome/xchat-gnome/xchat-gnome.install:1.5	Sun Apr 22 12:45:04 2007
+++ extra/gnome/xchat-gnome/xchat-gnome.install	Sat Jun 30 08:23:41 2007
@@ -1,8 +1,7 @@
 pkgname=xchat-gnome
 
 post_install() {
-  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
-  usr/bin/gconftool-2 --makefile-install-rule usr/share/gconf/schemas/${pkgname}.schemas >/dev/null
+  usr/sbin/gconfpkg --install ${pkgname}
   scrollkeeper-update -q -p var/lib/scrollkeeper
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
@@ -16,16 +15,7 @@
 }
 
 pre_remove() {
-  if [ -f usr/share/gconf/schemas/${pkgname}.schemas ]; then
-    schemas=(usr/share/gconf/schemas/${pkgname}.schemas)
-  elif [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
-    schemas=(opt/gnome/share/gconf/schemas/${pkgname}.schemas)
-  else
-    schemas=(`pacman -Ql $pkgname | grep 'gconf/schemas/.*schemas$' | awk '{ print $2 }'`)
-  fi
-  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
-  
-  usr/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
+  usr/sbin/gconfpkg --uninstall ${pkgname}
 }
 
 post_remove() {




More information about the arch-commits mailing list